package v2;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Container;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;
import java.sql.Connection;

import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.JSeparator;
import javax.swing.KeyStroke;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;

public class Fenetre extends JFrame
{
	private Container cont;
	private JPanel panneauPrincipal;
	private Bienvenue bienvenue;
	private Insertion iP;
	private Suppression sP;
	private Affichage1 a1P;
	private Affichage2 a2P;
	private JSeparator separatorFichier;
	private Connection connect;
	private FenetreConnexion fenC;
	
	//**********************MENU**********************
	private JMenuBar barre;
	private JMenu menuFichier, menuEdition,menuAffichage;
	private JMenuItem sortie,connexion,deconnexion,menuNouvelleInstallation,menuSuppression,menuAffichage1,menuAffichage2;
	//**********************MENU**********************
	
	public Fenetre()
	{
		super("Java Project");
			//Titre de la fentre
		cont=getContentPane();
		cont.setLayout(new BorderLayout());
		cont.setBackground(Color.DARK_GRAY);
		setBounds(0,0,600,300);
			//Taille et position de la fentre
		
		//iP.setConnect(connect);
		
		
		/*panneauPrincipal=new JPanel();
			//cration du panneau principale
		this.panneauPrincipal.setBorder(BorderFactory.createLineBorder(Color.BLUE));
			// ligne prcdente  commenter pour enlever les dlimiteurs colors
		cont.add(panneauPrincipal,BorderLayout.CENTER);*/
		bienvenue = new Bienvenue();
		cont.add(bienvenue,BorderLayout.CENTER);
		
		MyWindowListener wind = new MyWindowListener();
		this.addWindowListener(wind);
		
		//**********************MENU**********************
		
			//Cration de la barre de menu
		barre = new JMenuBar( );
			//Mise en place de la barre de menu
		setJMenuBar(barre);
			//Cration du menu "Fichier"
		menuFichier = new JMenu("Fichier");
			//Mise en place du racourci 'alt+f'
		menuFichier.setMnemonic('F');
			//Ajout du menu "Fichier" dans la barre de menu
		barre.add(menuFichier);
		
			//Cration du sous-menu "Connexion"
		connexion = new JMenuItem("Connexion");
		connexion.setBackground(Color.LIGHT_GRAY);
			//Mise en place du racourci 'CTRL+C'
		connexion.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_C,InputEvent.CTRL_MASK));
		EcouteBoutonConn2 Bc = new EcouteBoutonConn2();
		
		// ECOUTE DU BOUTON CONNECTION ET ENVOI VERS CREATION D'UNE FENETRE CONENCTION
		connexion.addActionListener(Bc);
			//Ajout du sous-menu "Connexion" au menu "Fichier"
		menuFichier.add(connexion);
		
			//Cration du sous-menu "Dconnexion"
		deconnexion = new JMenuItem("Dconnexion");
		deconnexion.setBackground(Color.LIGHT_GRAY);
		deconnexion .setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_D,InputEvent.CTRL_MASK));
		menuFichier.add(deconnexion);
			
			//Ajout du sparateur entre Dconnexion et sortir
		separatorFichier = new JSeparator();
		menuFichier.add(separatorFichier);
		
			//Cration du sous-menu "Sortie"
		sortie = new JMenuItem("Sortie");
		sortie.setBackground(Color.LIGHT_GRAY);
		sortie.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_Q,InputEvent.CTRL_MASK));
		menuFichier.add(sortie);
		
			//Cration et mise en place d'un couteur d'venement
		MonGestionnaireAction ga = new MonGestionnaireAction( );
		sortie.addActionListener(ga);
		
			//Cration du menu "Edition"
		menuEdition = new JMenu("Edition");
		menuEdition.setMnemonic('E');
		barre.add(menuEdition);
		
		//Cration du sous-menu "Nouvelle installation"
		menuNouvelleInstallation = new JMenuItem("Nouvelle Installation");
		menuNouvelleInstallation.setBackground(Color.LIGHT_GRAY);
		menuNouvelleInstallation .setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_N,InputEvent.CTRL_MASK));
		
		EcouteMenuEdition eMI = new EcouteMenuEdition();
		menuNouvelleInstallation.addActionListener(eMI);
		
		menuEdition.add(menuNouvelleInstallation);
		
		//Cration du sous-menu "Suppression"
		menuSuppression = new JMenuItem("Suppression");
		menuSuppression.setBackground(Color.LIGHT_GRAY);
		menuSuppression .setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_S,InputEvent.CTRL_MASK));
		menuSuppression.addActionListener(eMI);
		
		menuEdition.add(menuSuppression);
		barre.setBackground(Color.LIGHT_GRAY);
		
		
		
		
		//Cration du menu "Affichage"
		menuAffichage= new JMenu("Affichage");
		menuEdition.setMnemonic('A');
		barre.add(menuAffichage);
		
		//Cration du sous-menu "Affichage 1"
		menuAffichage1 = new JMenuItem("Affichage 1");
		menuAffichage1.setBackground(Color.LIGHT_GRAY);
		menuAffichage1 .setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_A,InputEvent.CTRL_MASK));
		menuAffichage1.addActionListener(eMI);
		
		//Cration du sous-menu "Affichage 2"
		menuAffichage2 = new JMenuItem("Affichage 2");
		menuAffichage2.setBackground(Color.LIGHT_GRAY);
		menuAffichage2 .setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_B,InputEvent.CTRL_MASK));
		menuAffichage2.addActionListener(eMI);
		
		menuAffichage.add(menuAffichage1);
		menuAffichage.add(menuAffichage2);

		
		

		
		//**********************MENU**********************
		
		setVisible(true);
	}
	
	
	class EcouteBoutonConn2 implements ActionListener
	{
		public void actionPerformed (ActionEvent g)
		{
			
			
			fenC = new FenetreConnexion();
			
		}
		
	}
	
	
	class EcouteMenuEdition implements ActionListener
	{
		public void actionPerformed( ActionEvent e) 
		{
			if (e.getSource()== menuNouvelleInstallation)
			{
				// Fenetre.this.cont.removeAll();
				
				connect=fenC.getConnect();
				cont.removeAll();
				iP = new Insertion();
				cont.add(iP);
				iP.setConnect(connect);
				Fenetre.this.setVisible(true);
			}
			if(e.getSource()== menuSuppression)
			{
				cont.removeAll();
				sP = new Suppression();
				cont.add(sP);
				Fenetre.this.setVisible(true);
			}
			//Reconstruction graphique de la fenetre,
			
			if(e.getSource()== menuAffichage1)
			{
				cont.removeAll();
				a1P = new Affichage1();
				cont.add(a1P);
				Fenetre.this.setVisible(true);
			}
				
			if(e.getSource()== menuAffichage2)
			{
				cont.removeAll();
				a2P = new Affichage2();
				cont.add(a2P);
				Fenetre.this.setVisible(true);
			}
		}
	}
	
	
	public Connection getMaConnexion() 
	{
		return connect;
	}
	public void setMaConnexion(Connection connect)
	{
		this.connect=connect;
		
	}
}

