package v2;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Container;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.sql.Connection;
import java.sql.SQLException;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.JTextField;

public class Insertion extends JPanel 
{
	private JPanel panneauTitre,panneauInsertion,panneauBoutons,panneauCommentaire;
	private JLabel labelTitre,labelIdInstallation,labelDateInstallation,labelFkCodeOS,labelFkSoftCode,labelCommentaireInstallation,labelDureeInstallation,labelRefProcInstallation,labelFkCodeResp;
	private JTextField textIdInstallation,textDateInstallation,textDureeInstallation,textRefProcInstallation;
	private JButton buttonAjouter,buttonCancel,buttonApply;
	private JComboBox dureeMinutes,textFkSoftCode,textFkCodeOS,textFkCodeResp;
	private  JTextArea textCommentaireInstallation;
	private  Connection connect;
	private FenetreConnexion fenC;
	private MyTableModel TabOS;
	//private GetConnect gConnect;
	
	
	public Insertion()
	{
		
		setBounds(10,10,990,740);
		this.setLayout(null);
		setBackground(Color.DARK_GRAY);
		panneauTitre = new JPanel();
		
		labelTitre = new JLabel("INSERTION");
		
		labelTitre.setForeground(Color.LIGHT_GRAY);
		
		panneauTitre.setBounds(260, 0, 80,25);
		panneauTitre.setBackground(Color.DARK_GRAY);
		panneauTitre.add(labelTitre);
		//panneauTitre.setBorder(BorderFactory.createLineBorder(Color.YELLOW));
		
		//**********************Insertion**********************START
		panneauInsertion = new JPanel();
		panneauInsertion.setBounds(0, 25,350, 150);
		panneauInsertion.setBackground(Color.DARK_GRAY);
		//panneauInsertion.setBorder(BorderFactory.createLineBorder(Color.GREEN));
		panneauInsertion.setLayout(new GridLayout(7,2));
		
		labelIdInstallation = new JLabel("Identifiant");
		labelIdInstallation.setForeground(Color.LIGHT_GRAY);
		textIdInstallation = new JTextField(2);
				
		labelDateInstallation = new JLabel("Date de l'installation");
		labelDateInstallation.setForeground(Color.LIGHT_GRAY);
		textDateInstallation = new JTextField("JJ-MM-AAAA");
		
		labelFkCodeOS = new JLabel("Code de l'OS");
		labelFkCodeOS.setForeground(Color.LIGHT_GRAY);
		
		connect = fenC.getConnect.getConnect();
				
		//FAIT TOUT PLANTER !!!!!!!!!!!
		
			Object[] TabCodeOS = AccessBDGen.creerListe1Colonne(this.connect,"SELECT CodeOS FROM OS");
		
			TabOS = AccessBDGen.creerTableModel(connect, "SELECT LibelleOs, CodeOS FROM OS");
		
		textFkCodeOS = new JComboBox();
		
		labelFkSoftCode = new JLabel("Code du software");
		labelFkSoftCode.setForeground(Color.LIGHT_GRAY);
		textFkSoftCode = new JComboBox();
		
		labelDureeInstallation = new JLabel("Dure en minutes");
		labelDureeInstallation.setForeground(Color.LIGHT_GRAY);
		String [] contenuDureeMinutes = {"1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38"};
		dureeMinutes = new JComboBox(contenuDureeMinutes);
		dureeMinutes.setSelectedItem("Dure en minutes");
		dureeMinutes.setMaximumRowCount(10);
		dureeMinutes.setEditable(true);
		
		labelRefProcInstallation = new JLabel("Procdure");
		labelRefProcInstallation.setForeground(Color.LIGHT_GRAY);
		textRefProcInstallation = new JTextField(30);
		
		labelFkCodeResp = new JLabel("Responsable rseau");
		labelFkCodeResp.setForeground(Color.LIGHT_GRAY);
		textFkCodeResp = new JComboBox();
		
		
		panneauInsertion.add(labelFkSoftCode);
		panneauInsertion.add(textFkSoftCode);
		textFkSoftCode.setToolTipText("A FAIRE !!!!!!");
		
		panneauInsertion.add(labelFkCodeOS);
		panneauInsertion.add(textFkCodeOS);
		textFkCodeOS.setToolTipText("A FAIRE !!!!!!");
		
		panneauInsertion.add(labelFkCodeResp);
		panneauInsertion.add(textFkCodeResp);
		textFkCodeResp.setToolTipText("A FAIRE !!!!!!");
		
		panneauInsertion.add(labelIdInstallation);
		panneauInsertion.add(textIdInstallation);
		textIdInstallation.setToolTipText("A FAIRE !!!!!!");
		
		panneauInsertion.add(labelDateInstallation);
		panneauInsertion.add(textDateInstallation);
		textDateInstallation.setToolTipText("A FAIRE !!!!!!");
		
		panneauInsertion.add(labelDureeInstallation);
		panneauInsertion.add(dureeMinutes);
		dureeMinutes.setToolTipText("A FAIRE !!!!!!");
		
		panneauInsertion.add(labelRefProcInstallation);
		panneauInsertion.add(textRefProcInstallation);
		textRefProcInstallation.setToolTipText("A FAIRE !!!!!!");
		
		//**********************Insertion**********************END
		
		//**********************Boutons**********************START
		panneauBoutons = new JPanel();
		panneauBoutons.setBackground(Color.DARK_GRAY);
		panneauBoutons.setBounds(150, 175,300, 45);
		//panneauBoutons.setBorder(BorderFactory.createLineBorder(Color.BLUE));
		buttonAjouter = new JButton("Ajouter");
		panneauBoutons.add(buttonAjouter);
		
		buttonApply = new JButton("Appliquer");
		panneauBoutons.add(buttonApply);
		
		buttonCancel = new JButton("Annuler");
		panneauBoutons.add(buttonCancel);
		
		//**********************Boutons**********************END


		//**********************Commentaires**********************START
		
		panneauCommentaire = new JPanel();
		panneauCommentaire.setBackground(Color.DARK_GRAY);
		panneauCommentaire.setBounds(350, 25,250, 150);
		labelCommentaireInstallation = new JLabel("Commentaire sur l'installation");
		labelCommentaireInstallation.setForeground(Color.LIGHT_GRAY);
		panneauCommentaire.add(labelCommentaireInstallation);
		JTextArea textCommentaireInstallation = new JTextArea(10,20);
		panneauCommentaire.add(textCommentaireInstallation);
		//panneauCommentaire.setBorder(BorderFactory.createLineBorder(Color.CYAN));
		//**********************Commentaires**********************END
		
		
		
		
		this.add(panneauTitre);
		this.add(panneauInsertion);
		this.add(panneauBoutons);
		this.add(panneauCommentaire);
		//this.add(panneauTitre,BorderLayout.NORTH);
		//this.add(panneauInsertion,BorderLayout.CENTER);
		//this.add(panneauCommentaire,BorderLayout.EAST);
		//this.add(panneauBoutons,BorderLayout.SOUTH);
		
		
	}


	public void setConnect(Connection connect) 
	{
		this.connect = connect;
	}
	
}
